Loading...
Searching...
No Matches
openshot::FrameExceptionBase Class Reference

`#include <Exceptions.h>`

Inheritance diagram for openshot::FrameExceptionBase:

## Public Member Functions

| FrameExceptionBase (std::string message, int64_t frame_number=-1)
virtual std::string | py_message () const override
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Public Attributes

int64_t | frame_number

## Additional Inherited Members

Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Definition at line 44 of file Exceptions.h.

## Constructor & Destructor Documentation

## FrameExceptionBase()

openshot::FrameExceptionBase::FrameExceptionBase | ( | std::string | message,
|  | int64_t | frame_number = -1 )

inline

Definition at line 48 of file Exceptions.h.

Referenced by openshot::ChunkNotFound::ChunkNotFound(), openshot::ErrorDecodingAudio::ErrorDecodingAudio(), openshot::ErrorEncodingAudio::ErrorEncodingAudio(), and openshot::ErrorEncodingVideo::ErrorEncodingVideo().

## Member Function Documentation

## py_message()

virtual std::string openshot::FrameExceptionBase::py_message | ( |  | ) | const

inline override virtual

Reimplemented from openshot::ExceptionBase.

Definition at line 50 of file Exceptions.h.

## Member Data Documentation

## frame_number

int64_t openshot::FrameExceptionBase::frame_number

Definition at line 47 of file Exceptions.h.

Referenced by openshot::ChunkNotFound::ChunkNotFound(), openshot::ErrorDecodingAudio::ErrorDecodingAudio(), openshot::ErrorEncodingAudio::ErrorEncodingAudio(), openshot::ErrorEncodingVideo::ErrorEncodingVideo(), FrameExceptionBase(), and py_message().

The documentation for this class was generated from the following file:

- Exceptions.h